Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.0.0SynchronousAuth Required

AddBareMetal2IpmiChassis

AddBareMetal2IpmiChassis

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • ipmiAddressStringRequired

      The IPMI address.

    • ipmiPortInteger

      Optional. The IPMI port.

    • ipmiUsernameStringRequired

      The IPMI username.

    • ipmiPasswordStringRequired

      The IPMI password.

    • nameStringRequired

      The name of the bare metal chassis.

    • descriptionString

      Optional. The detailed description of the bare metal chassis.

    • clusterUuidStringRequired

      The cluster UUID.

    • resourceUuidString

      Optional. The chassis UUID .

    • provisionTypeString

      Optional. The startup method.

    • tagUuidsList

      Optional. The tag UUIDs.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBareMetal2ChassisInventoryRequired

    See inventory.

    • uuidStringRequired

      The UUID of the bare metal chassis.

    • nameStringRequired

      The name of the bare metal chassis.

    • descriptionStringRequired

      The detailed description of the bare metal chassis.

    • zoneUuidStringRequired

      The zone UUID.

    • clusterUuidStringRequired

      The cluster UUID.

    • chassisOfferingUuidStringRequired

      The chassis offering UUID.

    • typeStringRequired

      The type of the protocol used to control bare metal chassis and instances.

    • stateStringRequired

      The state of the chassis.

    • statusStringRequired

      The distribution status of the chassis.

    • powerStatusStringRequired

      The power status of the chassis.

    • createDateTimestampRequired

      The time when the chassis was added to the cluster.

    • lastOpDateTimestampRequired

      The time when the chassis was last modified.

    • chassisNicsListRequired

      See chassisNics.

      • uuidStringRequired

        The UUID of the bare metal chassis NIC.

      • chassisUuidStringRequired

        The UUID of the bare metal chassis.

      • macStringRequired

        The MAC address of the chassis NIC.

      • speedStringRequired

        The data rate of the chassis NIC.

      • isProvisionNicBooleanRequired

        Indicates whether the NIC is a provisioned NIC.

      • createDateTimestampRequired

        The time when the NIC was created.

      • lastOpDateTimestampRequired

        The time when the NIC was last modified.

    • chassisDisksListRequired

      See chassisDisks.

      • uuidStringRequired

        The UUID of the chassis disk.

      • chassisUuidStringRequired

        The chassis UUID.

      • diskSizeLongRequired

        The size of the disk storage space, in bytes.

      • typeStringRequired

        The type of the disk.

      • createDateTimestampRequired

        The time when the disk was created.

      • lastOpDateTimestampRequired

        The time when the disk was last modified.

    • chassisOfferingBareMetal2ChassisOfferingInventoryRequired

      See chassisOffering.

      • uuidStringRequired

        The chassis offering UUID.

      • nameStringRequired

        The name of the chassis offering.

      • descriptionStringRequired

        The detailed description of the chassis offering.

      • architectureStringRequired

        The CPU architecture.

      • cpuModelNameStringRequired

        The CPU model name.

      • cpuNumIntegerRequired

        The number of CPU cores.

      • memorySizeLongRequired

        The memory size.

      • bootModeStringRequired

        The boot mode.

      • stateStringRequired

        The state of the chassis offering.

      • createDateTimestampRequired

        The time when the chassis offering was created.

      • lastOpDateTimestampRequired

        The time when the chassis offering was last modified.

Endpoint

POST/zstack/v1/baremetal2/chassis/ipmi

/zstack/v1/baremetal2/chassis/ipmi

Operation ID

AddBareMetal2IpmiChassis

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/baremetal2/chassis/ipmi' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"ipmiAddress":"<ipmiAddress>","ipmiPort":1,"ipmiUsername":"<ipmiUsername>","ipmiPassword":"<ipmiPassword>","name":"<name>","description":"<description>","clusterUuid":"<clusterUuid>","resourceUuid":"<resourceUuid>","provisionType":"<provisionType>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "37e556edd6d2439e80f5b620750cf2cf", "name": "BM_CHASSIS", "description": "This is a bare metal chassis.", "zoneUuid": "ccbd627d113a4b9581a90fbeee45cedc", "clusterUuid": "5fc0111a027a4c9b9f19ca9ba83b5cbd", "chassisOfferingUuid": "ec563730b5a94ad8a838406a7a7d3888", "type": "IPMI", "state": "Enabled", "status": "Available", "powerStatus": "POWER_ON", "provisionType": "Remote", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } }

Change History

This API has no change history records yet.

View all change history